DRM_ATOMIC_STATE_ALL(9)

NAME
drm_atomic_state_alloc - allocate atomic state

SYNOPSIS

struct drm_atomic_state * drm_atomic_state_alloc(struct drm_device * dev);

ARGUMENTS

dev
    DRM device

DESCRIPTION

This allocates an empty atomic state to track updates.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT